### Virtual Method

# Foundry Debugger stop

#### Declaration [src]

    DexFuture*
    stop (
      FoundryDebugger* self
    )

#### Description [src]

Stop the debugger fully. This should at least cause the inferior to be sent a terminating signal.

#### Return value

Type: `DexFuture`

A `DexFuture` that resolves to any value or rejects with error.

The caller of the method takes ownership of the returned data, and is responsible for freeing it.